%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/ishmael
#  cvs login
#  cvs export -r ISHMAEL_0_1_6b ishmael
#  find ishmael -name '*.?ar' | grep -v ishmael/lib/zeus/zeus.jar | xargs rm

Name:			ishmael
Summary:		Open source implementation of JSR-88
Version: 		0.1.6b
Release:		1jpp_1rh
Epoch:			0
URL: 			http://forge.objectweb.org/projects/ishmael/
License: 		LGPL
Group: 			Development/Libraries/Java
Source: 		%{name}-%{version}.tar.bz2
Source1:		ow_jonas.jar
Source2:		ow_jonas_xml.jar
Patch0:			build-xml-jar-filenames.patch
BuildRequires:	jpackage-utils, ant
BuildRequires:	dtdparser
BuildRequires:	ejb
BuildRequires:	j2ee-deployment
BuildRequires:	j2ee-management
BuildRequires:	jdom

# FIXME: Enable this when this package is ready.
#BuildRequires:	jonas-jar (ow_jonas.jar and ow_jonas_xml.jar)

BuildRequires:	jakarta-commons-digester
BuildRequires:	jta
BuildRequires:	mx4j
BuildRequires:	xerces-j2

# FIXME: Enable this when this package is ready.
#BuildRequires: zeus (zeus.jar)

Requires:		dtdparser
Requires:		ejb
Requires:		j2ee-deployment
Requires:		j2ee-management
Requires:		jdom

# FIXME: Enable this when this package is ready. 
#Requires:		jonas-jar (ow_jonas.jar and ow_jonas_xml.jar)

Requires:		jakarta-commons-digester
Requires:		jta
Requires:		mx4j
Requires:		xerces-j2

# FIXME: Enable this when this package is ready.
#Requires:		zeus (zeus.jar)

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
Ishmael is an open source implementation of JSR-88 which is the 
Deployment API for J2EE.

%prep
%setup -q -n %{name}
%patch0

build-jar-repository -s -p lib/j2ee \
        ejb \
        j2ee-deployment \
        j2ee-management \
        jta \
		mx4j/mx4j

build-jar-repository -s -p lib/tools \
		commons-digester

build-jar-repository -s -p lib/zeus \
        dtdparser \
        jdom \
        xerces-j2

mkdir -p lib/jonas
cp %{SOURCE1} lib/jonas/
cp %{SOURCE2} lib/jonas/

%build
unset CLASSPATH
ant

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 output/dist/ishmael.jar \
    $RPM_BUILD_ROOT%{_javadir}/ishmael-%{version}.jar
ln -s ishmael-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/ishmael.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Fri Jul 29 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp_1rh
- First Red Hat build.

* Fri Jul 29 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp
- Initial build.
